WPXSubDocument Class Reference

`#include <WPXSubDocument.h>`

Inheritance diagram for WPXSubDocument:

## Public Member Functions

| WPXSubDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned dataSize)
| WPXSubDocument (unsigned char *streamData, const unsigned dataSize)
virtual | ~WPXSubDocument ()
WPXMemoryInputStream * | getStream () const

## Private Member Functions

| WPXSubDocument ()
| WPXSubDocument (const WPXSubDocument &)
WPXSubDocument & | operator= (const WPXSubDocument &)

## Private Attributes

std::unique_ptr< WPXMemoryInputStream > | m_stream
std::unique_ptr< unsigned char[]> | m_streamData

## Constructor & Destructor Documentation

## WPXSubDocument() [1/4]

WPXSubDocument::WPXSubDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned | dataSize )

Referenced by operator=(), WP1SubDocument::WP1SubDocument(), WP3SubDocument::WP3SubDocument(), WP42SubDocument::WP42SubDocument(), WP5SubDocument::WP5SubDocument(), WP6SubDocument::WP6SubDocument(), and WPXSubDocument().

## WPXSubDocument() [2/4]

WPXSubDocument::WPXSubDocument | ( | unsigned char * | streamData,
|  | const unsigned | dataSize )

## ~WPXSubDocument()

WPXSubDocument::~WPXSubDocument | ( |  | ) |

virtual

## WPXSubDocument() [3/4]

WPXSubDocument::WPXSubDocument | ( |  | ) |

private

## WPXSubDocument() [4/4]

WPXSubDocument::WPXSubDocument | ( | const WPXSubDocument & |  | ) |

private

## Member Function Documentation

## getStream()

WPXMemoryInputStream * WPXSubDocument::getStream | ( |  | ) | const

inline

Referenced by WP3ContentListener::insertWP51Table(), WP1SubDocument::parse(), WP3SubDocument::parse(), WP42SubDocument::parse(), WP5SubDocument::parse(), and WP6SubDocument::parse().

## operator=()

WPXSubDocument & WPXSubDocument::operator= | ( | const WPXSubDocument & |  | ) |

private

## Member Data Documentation

## m_stream

std::unique_ptr<WPXMemoryInputStream> WPXSubDocument::m_stream

private

Referenced by getStream(), WPXSubDocument(), and WPXSubDocument().

## m_streamData

std::unique_ptr<unsigned char[]> WPXSubDocument::m_streamData

private

Referenced by WPXSubDocument(), and WPXSubDocument().

The documentation for this class was generated from the following files:

- WPXSubDocument.h
- WPXSubDocument.cpp